import { jsx } from "react/jsx-runtime";
import { DesktopTower as DesktopTower$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const DesktopTower = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "DesktopTower", ...props, children: /* @__PURE__ */ jsx(DesktopTower$1, { weight: variant }) });
  }
);
DesktopTower.displayName = "DesktopTower";
Object.assign(DesktopTower, { isGdsIcon: true });
export {
  DesktopTower
};
